server.port: 8090
server:
  servlet:
    context-path: /openapi

openapi:
  openAPISample:
    base-path: /api

management:
  endpoints:
    web:
      exposure:
        include: info,health,prometheus

spring:
  jpa:
    show-sql: true
    properties:
      hibernate:
        dialect: org.hibernate.dialect.MySQL8Dialect
    #        dialect: org.hibernate.dialect.H2Dialect
    hibernate:
      ddl-auto: update
  datasource:
    #    url: jdbc:h2:mem:assignment
    #    driver-class-name: org.h2.Driver
    url: jdbc:mysql://127.0.0.1/openapi?allowPublicKeyRetrieval=true
    username: root
    password: P@ssw0rd
    driver-class-name: com.mysql.jdbc.Driver